/* prefixed by https://autoprefixer.github.io (PostCSS: v7.0.26, autoprefixer: v9.7.3) */

/** =============================================================== **/
/** HTML Main CSS **/
/** =============================================================== **/

html {
    font-size: 19px;
}

body {
    font-family: 'Crimson Text', serif;
    font-weight: 400;
    line-height: 125%;
    position: relative;
    overflow-x: hidden !important;
    color: #141414;
    background-color: #F4F2F2;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


.poppins {
    font-family: 'Poppins', sans-serif;
}

.poppins-medium {
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
}

.poppins-semibold {
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
}

.container {
    max-width: 1400px;
}

/** =============================================================== **/
/** Standard Bootstrap CSS **/
/** =============================================================== **/

a {
    -webkit-transition: all 300ms ease-out;
    -moz-transition: all 300ms ease-out;
    -o-transition: all 300ms ease-out;
    transition: all 300ms ease-out;
    text-decoration: none;
    color: #825831;
    outline: none !important;
    /* These are technically the same, but use both */
    overflow-wrap: break-word;
    word-wrap: break-word;
    -ms-word-break: break-all;
    /* This is the dangerous one in WebKit, as it breaks things wherever */
    word-break: break-all;
    /* Instead use this non-standard one: */
    word-break: break-word;
    /* Adds a hyphen where the word breaks, if supported (No Blink) */
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

a:hover {
    text-decoration: none;
    color: #825831;
}

button {
    border: none;
    outline: none !important;
}

.image-auto {
    width: auto;
    max-width: 100%;
}

.image-full {
    width: 100%;
    max-width: 100%;
}

.font-normal {
    font-weight: 400;
}

.font-medium {
    font-weight: 500;
}

.font-semibold {
    font-weight: 600;
}

.font-bold,
strong,
b {
    font-weight: 700;
}

h1,
.h1 {
    font-style: normal;
    font-weight: 600;
    font-size: 2.714rem;
    line-height: 3.524rem;
    letter-spacing: 0.01rem;
    font-family: 'Poppins', sans-serif;
}

h3,
.h3 {
    font-size: 1.476rem; 
    line-height: 2.238rem;
    font-weight: 500;
    letter-spacing: 0.13rem;
    font-family: 'Poppins', sans-serif;
    text-transform: uppercase;
}

h6,
.h6 {
    font-size: 0.714rem; 
    line-height: 120%;
    font-weight: 500;
    letter-spacing: 0.15rem;
    font-family: 'Poppins', sans-serif;
    text-transform: uppercase;
}

h3.with-border {
    padding-bottom: 2.143rem;
    margin-bottom: 2.143rem;
    position: relative;
}

h3.with-border:before {
    width: 4.000rem;
    height:0.095rem;
    display: block;
    position: absolute;
    left: 50%;
    margin-left: -2.000rem;
    bottom: 0;
    background-color: #383838;
    content: "";
}



.form-control,
.form-control:focus {
    background-color: #F6F4F4;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    border: none;
    border-bottom: 1px solid #F6F4F4;
    padding: 0.810rem 0.952rem;
    font-size: 1rem;
    line-height: 120%;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    height: auto;
    color: #6A6A6A;
}

.form-control:focus {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.form-control.v2,
.form-control.v2:focus {
    padding: 0.333rem 0.476rem 0.333rem 0.476rem;
    font-size: 0.857rem;
    line-height: 0.952rem;
    outline: none!important;
    font-weight: 500;
    color: #626262;
    border: 1px solid #D1D1D1;    
    font-family: 'Poppins', sans-serif;  
}


.form-control::-webkit-input-placeholder {
    /* Edge */
    color: #6A6A6A;
}

.form-control:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #6A6A6A;
}

.form-control:-moz-placeholder {
    color: #6A6A6A;
}

.form-control::-moz-placeholder {
    color: #6A6A6A;
}

.form-control::-ms-input-placeholder {
    color: #6A6A6A;
}

.form-control::placeholder {
    color: #6A6A6A;
}



.form-control.error,
.form-control.error:focus {
    border-color: red;
}

textarea.form-control,
textarea.form-control:focus {
    height: 205px;
    resize: none;
}

.btn {
    padding: 0.952rem 2.857rem;
    font-size: 0.762rem;
    line-height: 0.857rem;
    font-weight: 800;
    color: #FFF;
    text-align: center;
    letter-spacing: 0.13rem;
    text-transform: uppercase;
    border: 1px solid #4D4D4D;
    -webkit-border-radius: 0rem;
    -moz-border-radius: 0rem;
    border-radius: 0rem;
    background-color: #121212;
    text-shadow: none;
    text-align: center;
    position: relative;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: inline-block;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
}

.btn:hover,
.btn.focus,
.btn:focus {
    color: #FFF;
    background-color: #000;
    border-color: #000;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.btn.brown {
    background-color: #825831;
    border-color: #825831;
    color: #FFF;
}

.btn.brown:hover,
.btn.brown.focus,
.btn.brown:focus {
    background-color: #7D542F;
    border-color: #7D542F;
}

.btn-block {
    padding-left: 0.476rem;
    padding-right: 0.476rem;
}

.btn-sm {
    font-size: 0.476rem;
    line-height: 0.571rem;
    padding: 0.381rem 1.190rem;
}

.btn-lg {
    font-size: 1rem;
    line-height: 1.095rem;
}

.link {
    font-weight: 500;
    font-size: 0.810rem;
    color: #825831;
    letter-spacing: 0.30rem;
    text-transform: uppercase;
    font-family: 'Poppins', sans-serif;
    position: relative;
}

.link-no-arrow {
    font-weight: 500;
    font-size: 0.810rem;
    color: #000;
    letter-spacing: 0.30rem;
    text-transform: uppercase;
    font-family: 'Poppins', sans-serif;
    position: relative;    
}

.link:after {
    display: inline-block;
    vertical-align: middle;
    margin-top: -4px;
    margin-left: 0.476rem;
    content:"";
    width: 1.111rem;
    height: 0.667rem;
    background-image: url('../images/icon-ionic-ios-arrow-round-forward.svg');
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: 100% 100%;
       -moz-background-size: 100% 100%;
         -o-background-size: 100% 100%;
            background-size: 100% 100%;

}

.link:hover,
.link:active,
.link:focus {
    color: #744A24;
}

.has-dark-overlay {
    -webkit-transition: background-color 600ms ease-in-out;
    -moz-transition: background-color 600ms ease-in-out;
    -o-transition: background-color 600ms ease-in-out;
    transition: background-color 600ms ease-in-out;
    background-color: rgba(51, 51, 51, .7);
    background-blend-mode: overlay;
}

.has-dark-overlay:hover {
    background-color: rgba(51, 51, 51, .45);
}

/* Custom Checkboxes */

.checkbox label,
.radio label {
    -webkit-user-select: none;
    /* Chrome all / Safari all */
    -moz-user-select: none;
    /* Firefox all */
    -ms-user-select: none;
    /* IE 10+ */
    user-select: none;
    padding-left: 1.867rem;
    position: relative;
    cursor: pointer;
    color: #6A6A6A;
    font-family: Helvetica;
    font-size: 0.762rem;
    line-height: 120%;
    margin-bottom: 0;
}

.checkbox label:after,
.radio label:after {
    content: '';
    display: table;
    clear: both;
}

.checkbox .cr,
.radio .cr {
    position: relative;
    display: inline-block;
    border: 1px solid #969696;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    width: 1.333rem;
    height: 1.250rem;
    border: 1px solid #C7C7C7;
    background-color: #ffffff;
    float: left;
    margin-right: 1em;
    background-color: #FFF;
    position: absolute;
    left: 0;
    top: -2px;
}

.radio .cr {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.checkbox .cr .cr-icon,
.radio .cr .cr-icon {
    position: absolute;
    left: 0px;
    top: 0px;
    border: 1px solid transparent;
    background-color: transparent;
    display: inline-block;
    width: 1.333rem;
    height: 1.250rem;
    text-align: center;
    line-height: 1.208rem;
}

.radio .cr .cr-icon {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.checkbox label input[type="checkbox"],
.radio label input[type="radio"] {
    display: none;
}

.checkbox label input[type="checkbox"]+.cr>.cr-icon,
.radio label input[type="radio"]+.cr>.cr-icon {
    -webkit-transform: scale(1) rotateZ(-20deg);
    -moz-transform: scale(1) rotateZ(-20deg);
    -ms-transform: scale(1) rotate(-20deg);
    -o-transform: scale(1) rotateZ(-20deg);
    transform: scale(1) rotateZ(-20deg);
    opacity: 0;
    -webkit-transition: all .1s ease-in;
    -o-transition: all .1s ease-in;
    -moz-transition: all .1s ease-in;
    transition: all .1s ease-in;
}

.radio label input[type="radio"]:checked+.cr>.cr-icon {
    border: 1px solid #959595;
    background-color: #8d9838;
}

.checkbox label input[type="checkbox"]:checked+.cr>.cr-icon,
.radio label input[type="radio"]:checked+.cr>.cr-icon {
    -webkit-transform: scale(1) rotateZ(0deg);
    -moz-transform: scale(1) rotateZ(0deg);
    -ms-transform: scale(1) rotate(0deg);
    -o-transform: scale(1) rotateZ(0deg);
    transform: scale(1) rotateZ(0deg);
    opacity: 1;
}

.checkbox label input[type="checkbox"]:disabled+.cr,
.radio label input[type="radio"]:disabled+.cr {
    opacity: .5;
}


/** =============================================================== **/
/** Main styles **/
/** =============================================================== **/



header {
    height: 4.286rem;
    background-color: #FFF;
    position: relative;
}

header .logo {
    width: 6.190rem;
    position: absolute;
    left: 50%;
    margin-left: -3.095rem;
}

header .single {
    border-right: 1px solid #a6a6a6;
    padding: 0 1.905rem;
}

header .product-social .single {
    border-right: none;
    border-left: 1px solid #a6a6a6;
}

header a {
    font-size: 0.810rem;
    line-height: 0.905rem;
    font-weight: 500;
    font-family: 'Poppins', sans-serif;
    color: #000000;
}

header .list-inline-item:not(:last-child) {
    margin-right: 1.429rem;
}

header .main-menu {
    position: absolute;
    left: 0;
    top: 80%;
    z-index: 100;
    background-color: #FFF;
    border: 1px solid rgba(0,0,0,.35);
    width: 100%;
    max-width: 75%;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 300ms ease-out;
    -moz-transition: all 300ms ease-out;
    -o-transition: all 300ms ease-out;
    transition: all 300ms ease-out;    
}

header .main-menu .close-menu {
    position: absolute;
    right: 10px;
    top: 5px;
    display: none;
    z-index: 100;
}

header .main-menu .close-menu .fas {
    display: inline-block;
    vertical-align: middle;
    margin-left: 3px;
}

header .main-menu .box {
    width: 30%;
    border-right: 1px solid rgba(0,0,0,.35);
    padding: 2.857rem 2.381rem;
}

header .main-menu .box:last-child {
    border-right: none;
}

header .main-menu .box.collections {
    width: 50%;
}

header .main-menu .box.collections .collections-links {
    margin-left: -0.476rem;
    margin-right: -0.476rem;
    display: block;
}

header .main-menu .box.collections .collections-links li {
    width: 50%;
    display: block;
    float: left;
    padding: 0 0.476rem;
}

header .main-menu .box.collections .collections-links li.title,
header .main-menu .box li.title {
    width: 100%;
    display: block;
    font-size: 0.905rem;
    line-height: 130%;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    color: #000000;
}

header .main-menu .box .favorited li a {
    position: relative;
    display: inline-block;
    padding-left: 3.533rem;
}

header .main-menu .box .favorited li a:before {
    width: 1.048rem;
    height: 0.667rem;
    background-image: url('../images/icon-ionic-ios-star-outline.svg');
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: 100% 100%;
       -moz-background-size: 100% 100%;
         -o-background-size: 100% 100%;
            background-size: 100% 100%;
    position: absolute;
    left: 0;
    top: 0.286rem;
    content: "";
}

header .main-menu .box .favorited li a span {
    position: absolute;
    left: 1.329rem;
    top: 0.085rem;
}

header .main-menu li a {
    font-family: 'Crimson Text', serif;
    font-size: 0.905rem;
    line-height: 120%;
}

header .main-menu li a:hover {
    text-decoration: underline;
}

header .main-menu .box.middle {
    width: 20%;
}

.menu-opened header .main-menu {
    opacity: 1;
    visibility: visible;
    -webkit-transition: all 300ms ease-out;
    -moz-transition: all 300ms ease-out;
    -o-transition: all 300ms ease-out;
    transition: all 300ms ease-out;  
    top: 100%;  
}

.firm-features {
    color: #FFF;
    background-color: #141414;
    height: 2.619rem;
    font-size: 0.952rem;
    line-height: 1.143rem;
    font-family: 'Poppins', sans-serif;
}

.firm-features .container-fluid {
    max-width: 1500px;
}

.firm-features img {
    margin-right: 0.476rem;
}

.top-home {
    height: -webkit-calc(100vh - 6.905rem);
    height: -moz-calc(100vh - 6.905rem);
    height: calc(100vh - 6.905rem);
    min-height: 550px;
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: cover;
       -moz-background-size: cover;
         -o-background-size: cover;
            background-size: cover;
    color: #FFF;
    background-color: #CCC;
    font-size: 1.476rem;
    line-height: 1.714rem;
    position: relative;
}

.top-home ul li {
    position: relative;
    padding-left: 1.190rem;
    margin-bottom: 0.476rem;
}

.top-home ul li:last-child {
    margin-bottom: 0;
}

.top-home ul li:before {
    content: "";
    width: 0.619rem;
    height: 0.619rem;
    display: block;
    position: absolute;
    left: 0;
    top: 0.619rem;
    background-color: #FFF;
}

.top-home .product-show {
    display: inline-block;
    width: 100%;
    max-width: 420px;    
    text-align: left;
    position: relative;
    margin-left: 11.905rem;
}

.top-home .product-show:before {
    width: 7rem;
    height: 2px;
    background-color: #EEE;
    position: absolute;
    left: -7rem;
    top: 50%;
    display: block;
    content: "";
}

.top-home .product-show:after {
    width: 1.429rem;
    height: 1.429rem;
    -webkit-border-radius: 50%;
       -moz-border-radius: 50%;
            border-radius: 50%;
    background-color: #EEE;
    position: absolute;
    left: -7rem;
    top: 50%;
    margin-top: -0.667rem;
    display: block;
    content: "";
}

.top-home .product-show .title {
    font-size: 0.810rem;
    letter-spacing: 0.13rem;
    line-height: 1.048rem;
    display: block;
    color: #FFF;
    font-weight: 500;
    margin-bottom: 0.476rem;
    text-align: left;
    font-family: 'Poppins', sans-serif;
}

.top-home .product-show .name {
    display: block;
    font-size: 1.095rem;
    line-height: 120%;
    font-weight: 500;
    color: #000;
    font-family: 'Poppins', sans-serif;
}

.top-home .product-show .price {
    display: block;
    font-size: 1rem;
    line-height: 120%;
    color: #6A6A6A;
}

.top-home .product-show .inside {
    background-color: #FFF;
    padding: 0.952rem;
}

.top-home .product-show .image {
    height: 290px;
    background-color: #CCC;
    -webkit-background-size: cover;
       -moz-background-size: cover;
         -o-background-size: cover;
            background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
    margin-bottom: 1.190rem;
}

.top-home .bottom {
    position: absolute;
    left: 0;
    bottom: 1.429rem;
    width: 100%;
    text-align: center;
    z-index: 10;
}

.top-home .bottom a {
    display: inline-block;
    color: #FFF;
    position: relative;
    padding-bottom: 1.429rem;
    font-size: 0.810rem;
    line-height: 1.048rem;
    font-weight: 500;
    font-family: 'Poppins', sans-serif;
}

.top-home .bottom a:before {
    content: url('../images/icon-awesome-chevron-down.svg');
    position: absolute;
    bottom: 0;
    left: 50%;
    margin-left: -11px;
    display: inline-block;
    -webkit-transition: all 300ms ease-out;
    -moz-transition: all 300ms ease-out;
    -o-transition: all 300ms ease-out;
    transition: all 300ms ease-out;    
}

.top-home .bottom a:hover:before {
    bottom: -5px;
    -webkit-transition: all 300ms ease-out;
    -moz-transition: all 300ms ease-out;
    -o-transition: all 300ms ease-out;
    transition: all 300ms ease-out;    
}

.boxed {
    width: 100%;
    position: relative;
    display: block;
    padding: 7.143rem 0;
}

.boxed.smaller {
    padding: 4.5rem 0;
}

.products-div-title {
    height: 2.857rem;
    color: #626262;
    letter-spacing: 0.3rem;
    font-size: 0.810rem;
    line-height: 0.952rem;
    font-family: 'Poppins', sans-serif;
    text-transform: uppercase;
    margin: 2.143rem 0;
}

.products-div-title strong {
    color: #000;
}



select {
  /* for Firefox */
  -moz-appearance: none;
  /* for Chrome */
  -webkit-appearance: none;
    background-image: url('../images/icon-feather-chevron-down.svg');
    background-position: center right 0.714rem;
    background-repeat: no-repeat;
    padding: 0.333rem 1.905rem 0.333rem 0.476rem;
    font-size: 0.857rem;
    line-height: 0.952rem;
    outline: none!important;
    font-weight: 500;
    color: #626262;
    text-align: center;
    border: 1px solid #D1D1D1;
    -webkit-border-radius: 0rem;
    -moz-border-radius: 0rem;
    border-radius: 0rem;
    background-color: #FFF;
    text-shadow: none;
    text-align: center;
    position: relative;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: inline-block;
    text-decoration: none;
    font-family: 'Poppins', sans-serif; 
    display: block;  
}

/* For IE10 */
select::-ms-expand {
  display: none;
}

select.dark-select {
    background-image: url('../images/icon-select-top-down.svg');
    background-position: center right 0.714rem;
    background-repeat: no-repeat;
    padding: 0.952rem 1.905rem 0.952rem 0.952rem;
    font-size: 0.762rem;
    line-height: 0.857rem;
    outline: none!important;
    font-weight: 800;
    color: #FFF;
    text-align: center;
    letter-spacing: 0.13rem;
    text-transform: uppercase;
    border: 1px solid #4D4D4D;
    -webkit-border-radius: 0rem;
    -moz-border-radius: 0rem;
    border-radius: 0rem;
    background-color: #121212;
    text-shadow: none;
    text-align: center;
    position: relative;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: inline-block;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;  
    display: inline-block;  
}

.product-filters {
    display: block;
    position: relative;
    padding: 0.714rem;
    background-color: #FFF;
    color: #626262;
    font-size: 0.857rem;
    line-height: 1.048rem;
    font-family: 'Poppins', sans-serif;  

}

.product-filters .block {
    position: relative;
    display: block;
    padding: 0.952rem;
    padding-top: 0;
    margin-bottom: 1.429rem;
    padding-bottom: 1.429rem;
    border-bottom: 1px solid #e6e6e6;
}

.product-filters .block:first-child {
    padding-top: 0.952rem;
}

.product-filters .block:last-child {
    margin-bottom: 0;
    border-bottom: none;
}

.product-filters .block label {
    font-size: 0.810rem;
    line-height: 0.905rem;
    font-weight: 500;
    font-family: 'Poppins', sans-serif;
    color: #000000;    
    letter-spacing: 0.3rem;
    text-transform: uppercase;
}

.product-filters .block select {
    width: 100%;
}

.product-filters .block .form-control.v2 {
    width: 3.810rem;
}

.product-preview-single {
    display: block;
    position: relative;
    width: 100%;
    background-color: #FFF;
    height: 100%;
}

.product-preview-single .text {
    padding: 1.190rem 80px 1.190rem 0.952rem;
}

.product-preview-single .title {
    display: block;
    font-size: 1.095rem;
    line-height: 140%;
    font-weight: 500;
    color: #000;
    font-family: 'Poppins', sans-serif;
}

.product-preview-single.price {
    display: block;
    font-size: 1rem;
    line-height: 120%;
    color: #6A6A6A;
}

.product-preview-single .image {
    height: 290px;
    background-color: #CCC;
    -webkit-background-size: cover;
       -moz-background-size: cover;
         -o-background-size: cover;
            background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
}

.product-preview-single .add-to-favorite {
    width: 2.476rem;
    height: 2.476rem;
    background-color: rgba(0,0,0,.39);
    text-align: center;
    line-height: 2.095rem;
    position: absolute;
    left: 0.476rem;
    top: 0.476rem;
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;       
    opacity: 0;
    visibility: hidden;    
}

.product-preview-single:hover .add-to-favorite,
.product-preview-single:hover .add-to-favorite.active {
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;  
    opacity: 1;
    visibility: visible;         
}

.product-preview-single .add-to-favorite svg {
    width: 0.952rem;
    height: 0.810rem;
}

.product-preview-single .add-to-favorite:hover {
    background-color: rgba(0,0,0,.59);
}

.product-preview-single .details {
    position: absolute; 
    top: 0;
    right: 0;
    width: 2.857rem;
    height: 100%;
}

.product-preview-single .details .single {
    background-color: #141414;
    border-bottom: 1px solid #FFF;
    display: block;
    position: relative;
    height: 22%;
    overflow: hidden;
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;       
}

.product-preview-single .details .single.thickness,
.product-preview-single .details .single.width,
.product-preview-single .details .single.length {
    height: 18.6%;
}

.product-preview-single .details .single:last-child {
    border-bottom: none;
}

.product-preview-single .details .single .icon {
    width: 100%;
    text-align: center;
    height: 100%;
    position: relative;
    z-index: 100;
    background-color: #141414;
}

.product-preview-single .price {
    display: block;
    font-size: 1rem;
    line-height: 120%;
    color: #6A6A6A;
}

.product-preview-single .details .single .texxt {
    height: 100%;
    display: block;
    width: 100%;
    background-color: #141414;
    position: absolute;
    right: 0;
    padding: 0.476rem 0.952rem;
    top: 0;
    color: #FFF;
    font-size: 0.762rem;
    line-height: 0.857rem;
    font-weight: 500;
    font-family: 'Poppins', sans-serif;
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;   
    visibility: hidden;
}

.product-preview-single .details .single:hover {
    overflow: visible;
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;          
}

.product-preview-single .details .single:hover .texxt {
    width: 180px;
    right: 100%;
    -webkit-transition: all 100ms ease-out;
    -moz-transition: all 100ms ease-out;
    -o-transition: all 100ms ease-out;
    transition: all 100ms ease-out;      
    visibility: visible;    
}

.product-preview-single .details .single.finish:hover .texxt,
.product-preview-single .details .single.texture:hover .texxt{
    width: 230px;
}

.product-nav {
    display: block;
    text-align: center;
    letter-spacing: 0.3rem;
    font-size: 0.857rem;
    line-height: 120%;
    text-transform: uppercase;
    font-weight: 500;
    position: relative;
    margin-top: 2.381rem;
    font-family: 'Poppins', sans-serif;
}

.product-nav .active {
    padding-left: 0.333rem;
    padding-right: 3px;
    border-bottom: 2px solid #212529;
    text-align: center;
}

.product-preview-single.style .image {
    height: 480px;
}

.product-preview-single.style .text {
    padding: 1.190rem;
}

.product-preview-single.style .number {
    position: absolute;
    right: 0;
    top: 1.190rem;
    padding: 0.476rem 0.714rem;
    background-color: #FFF;
    font-size: 0.714rem;
    line-height: 0.810rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0.15rem;
}

.product-preview-single.style .number img {
    margin-right: 0.476rem;
    display: inline-block;
}

.firm-features.bigger {
    background-color: #F4F2F2;
    padding: 2.143rem 0 2.381rem 0;
    height: auto;
    color: #000;
    font-size: 1.095rem;
    line-height: 130%;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;    
}

.firm-features.bigger .image {
    height: 6rem;
    display: block;
    text-align: center;
    margin-bottom: 1.190rem;
}

.firm-features.bigger .image img {
    max-height: 100%;
    width: auto;
    max-width: 100%;
}

footer {
    width: 100%;
    position: relative;
    background-color: #e6e6e6;
    padding-top: 2.381rem;
    color: #6A6A6A;
    font-size: 1rem;
    line-height: 135%;
}

footer .navigation-footer {
    display: block;
    position: relative;
    width: 100%;
    margin-bottom: 2.857rem;
}

footer .navigation-footer ul li,
footer .navigation-footer ul li a {
    color: rgba(0,0,0,.43);
    font-size: 0.905rem;
    line-height: 130%;
    font-family: 'Poppins', sans-serif;
    position: relative;
}

footer .navigation-footer ul li a img {
    opacity: 0.43;
}

footer .navigation-footer .list-inline-item:not(:last-child) {
    padding-right: 1.905rem;
    margin-right: 1.429rem;
}

footer .navigation-footer .list-inline-item:not(:last-child):before {
    width: 0.381rem;
    height: 0.714rem;
    -webkit-background-size: 100% 100%;
       -moz-background-size: 100% 100%;
         -o-background-size: 100% 100%;
            background-size: 100% 100%;
    background-repeat: no-repeat;
    background-image: url('../images/icon-feather-chevron-right.svg');
    position: absolute;
    right: 0;
    top: 50%;
    margin-top: -0.333rem;
    display: inline-block;
    content: "";
}

footer a {
    color: #6A6A6A;
}

footer .title {
    display: block;
    font-size: 0.905rem;
    line-height: 130%;
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    color: #000000;
}

footer .collections-links {
    margin-left: -0.476rem;
    margin-right: -0.476rem;
    display: block;
}

footer .collections-links li {
    width: 33.3333%;
    display: block;
    float: left;
    padding: 0 0.476rem;
}

footer .blogs-links a {
    display: inline-block;
    position: relative;
    padding-left: 5rem;
    margin-bottom: 0.714rem;
    display: block;
    height: 4.000rem;
    padding-top: 9px;
    padding-bottom: 9px;
}

footer .blogs-links .d-flex {
    overflow: hidden;
}

footer a:hover {
    color: #000;
    text-decoration: underline;
}

footer .blogs-links a .image {
    position: absolute;
    left: 0;
    top: 50%;
    width: 4.000rem;
    height: 4.000rem;
    margin-top: -2.000rem;
    background-repeat: no-repeat;
    background-position: center center;
    -webkit-background-size: cover;
       -moz-background-size: cover;
         -o-background-size: cover;
            background-size: cover;
    background-color: #CCC;
}

footer .copy {
    height: 3.571rem;
    border-top: 1px solid #d6d6d6;
    font-size: 0.714rem;
    line-height: 0.857rem;
    color: rgba(0,0,0,.38);
    font-family: 'Poppins', sans-serif;
}

footer .copy a {
    color: rgba(0,0,0,.66);
}

footer .copy .list-inline-item {
    position: relative;
    line-height: 0.476rem;
}

footer .copy .list-inline-item:not(:last-child) {
    padding-right: 0.952rem;
    margin-right: 0.952rem;
    border-right: 1px solid rgba(0,0,0,.38);
}


/* about page */

.about-float-image {
    float: left;
    display: block;
}

.about-middle {
    margin-top: -8.333rem;
    display: block;
}

.row-bigger {
    margin-left: -60px!important;
    margin-right: -60px!important;
}

.col-bigger {
    padding-left: 60px!important;
    padding-right: 60px!important;
}

.box-white {
    background-color: #FFF;
    display: block;
    padding: 2.381rem 2.857rem;
    font-size: 1.143rem;
    line-height: 1.524rem;
}

h3.with-border.smaller {
    display: inline-block;
    padding-bottom: 0.714rem;
    margin-bottom: 0.952rem;
}

h3.with-border.smaller:before {
    left: 0;
    margin-left: 0;
}

h3.with-border.center {
    display: inline-block;
    padding-bottom: 0.714rem;
    margin-bottom: 0.952rem;
}

.product-preview-single.standard {
    height: auto;
}

.product-preview-single.standard .text {
    padding: 1.190rem 0.952rem 1.190rem 0.952rem;
}

.product-preview-single.standard .text .title {
    height: 2.857rem;
    overflow: hidden;    
}

/* portfolio */

.portfolio-featured {
    width: 100%;
    background-position: center center;
    background-repeat: no-repeat;
    -webkit-background-size: cover;
       -moz-background-size: cover;
         -o-background-size: cover;
            background-size: cover;
    padding: 2.381rem;
    height: 26.667rem;
    color: #FFF;
}

.portfolio-featured h3 {
    text-transform: none;
    letter-spacing: 0;
}

.link.white {
    color: #FFF;
}

.link.white:after {
    background-image: url('../images/icon-ionic-ios-arrow-round-forward-white.svg');
}

.top-home.internal {
    padding: 2.381rem 0;
}

.lightbox-link {
    display: block;
    position: relative;
    padding-top: 60%;
}

.lightbox-link .inside {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    bottom: 0;
    right: 0;
    top: 0;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
}

.lightbox-link .inside:before {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 10;
    display: block;
    width: 66px;
    height: 66px;
    background-size: 100% 100%;
    background-position: center center;
    background-repeat: no-repeat;
    content: "";
    z-index: 10;
    background-image: url('../images/lightbox-tumb.png');
}



/** =============================================================== **/
/** Responsive CSS below **/
/** =============================================================== **/

@media (max-width: 1650px) { 
    header .main-menu {
        max-width: 95%;
    }
}


@media (max-width: 1500px) { 
    html {
        font-size: 16px;
    }
    .container {
        padding-left: 25px;
        padding-right: 25px;
        max-width: 1200px;
    }    
    .top-home .product-show {
        margin-left: 0;
    }
    .firm-features img {
        max-height: 30px;
    }
}


@media (max-width: 1400px) { 
    .container {
        padding-left: 25px;
        padding-right: 25px;
    }
    .boxed {
        padding: 5rem 0;
    }    
    .product-filters .block {
        padding-left: 0;
        padding-right: 0;
    }
    .product-filters {
        padding: 0.9rem;
    }
    .products-div-title {
        margin: 1.5rem 0;
    }
    h3.with-border {
        padding-bottom: 1.2rem;
        margin-bottom: 1.7rem;
    }
    .top-home .product-show {
        margin-left: 7rem;
    }
}

@media (max-width: 1300px) { 
    .top-home .product-show {
        margin-left: 7rem;
    }
    .boxed,
    .boxed.smaller {
        padding: 4rem 0;
    }
    .top-home .product-show {
        margin-left: 0rem;
    }
    .top-home .product-show:before {
        width: 2rem;
        left: -2rem;
    }
    .top-home .product-show:after {
        left: -2rem;
        width: 1rem;
        height: 1rem;
        margin-top: -0.5rem;
    }
    .top-home {
        height: auto;
        padding: 4rem 0 7rem 0;
        min-height: 100px;
    }
    .firm-features {
        font-size: 0.8rem;
    }
    .firm-features img {
        max-height: 80%;
        max-width: 80%;
        width: 15px;
    }
    .firm-features.bigger {
        font-size: 0.85rem;
    }
    .firm-features.bigger .image {
        height: 4rem;
    }
    header .main-menu {
        max-width: 100%;
    }    
    header .main-menu .box {
        padding: 2.3rem 2rem;
    }
    header .main-menu li a {
        font-size: 1rem;
    }
    .top-home.internal {
        padding: 8rem 0;
    }
}

@media (max-width: 1199.98px) {
    html {
        font-size: 17px;
    }
    .btn {
        white-space: normal;
    }
    .container {
        max-width: 100%;
        padding-left: 25px;
        padding-right: 25px;
    }
    header .single {
        padding: 0 1.3rem;
    }
    h1, .h1 {
        font-size: 2.5rem;
    }

    .product-preview-single .details .single.finish:hover .texxt,
    .product-preview-single .details .single.texture:hover .texxt {
        width: 200px;
    }
    .product-preview-single.style .image {
        height: 350px;
    }
    footer .navigation-footer ul li,
    footer .navigation-footer ul li a {
        font-size: 0.805rem;
    }
    .product-filters .block .form-control.v2 {
        width: 50%;
    }
    .link {
        letter-spacing: 0.2rem;
    }
    .link:after {
        width: 1.011rem;
        height: 0.567rem;
        margin-top: -3px;
    }
    .product-preview-single .image {
        height: 250px;
    }
    .products-div-title {
        margin: 1.3rem 0 1rem 0;
    }
    .top-home {
        font-size: 1.3rem;
        line-height: 130%;
    }
    .row-bigger {
        margin-left: -30px!important;
        margin-right: -30px!important;
    }

    .col-bigger {
        padding-left: 30px!important;
        padding-right: 30px!important;
    }
    .box-white {
        padding: 2.081rem 2.557rem;
    }
    .about-float-image {
        width: auto;
        max-width: 100%;
        float: none;
        display: inline-block;
    }
}

@media (max-width: 991.98px) {
    .top-home .product-show {
        max-width: 350px;
    }
    footer .copy {
        height: auto;
        padding: 1rem 0;
    }
    .firm-features.bigger {
        font-size: 0.75rem;
    }
    .firm-features.bigger .image {
        height: 3.8rem;
    }
    .firm-features.bigger .image img {
        max-width: 60px;
    }
    h1, .h1 {
        font-size: 2.0rem;
        line-height: 130%;
    }    
    h3, .h3 {
        font-size: 1.276rem;
        line-height: 2.038rem;
    }
    .boxed,
    .boxed.smaller {
        padding: 3rem 0;
    }
    .link {
        font-size: 0.7rem;
    }
    .product-preview-single.style .image {
        height: 280px;
    }
    h3.with-border {
        padding-bottom: 1.0rem;
        margin-bottom: 1.5rem;
    }
    .product-nav .active {
        padding-left: 0.333rem;
        padding-right: 2px;
    }
    .product-filters .inside {
        margin-left: -10px;
        margin-right: -10px;
        display: -ms-flexbox;
        display: -webkit-box;
        display: -webkit-flex;
        display: -moz-box;
        display: flex;
        -ms-flex-wrap: wrap;
        -webkit-flex-wrap: wrap;
                flex-wrap: wrap;
    }
    .product-filters .block {
        float: none;
        width: 50%;
        padding: 10px;
        border: none;
    }
    .product-filters .block .form-control.v2 {
        width: 5rem;
    }
    .product-filters .block select {
        width: 70%;
    }
    .top-home .product-show {
        max-width: 275px;
    }
    .top-home .product-show .image {
        height: 200px;
    }
    .top-home .product-show .title {
        font-size: 0.7rem;
    }
    .product-preview-single.style .number {
        font-size: 0.65rem;
    }
    header .menus .dropdown .dropdown-toggle {
        font-size: 1.5rem;
    }
    header .menus .dropdown .dropdown-toggle:after {
        display: none;
    }
    header .menus .dropdown-menu {
        padding: 5px 20px;
        margin: 0;
    }

    header .menus .dropdown-menu .dropdown-item {
        padding: 0;
        margin: 10px 0;
        background-color: transparent!important;
        color: #000;
    }
    header .menus .dropdown-menu .dropdown-item:hover {
        text-decoration: underline;
    }
    header .main-menu .box {
        padding: 1.5rem 1rem;
    }
    
}

@media (max-width: 767px) {
    .container {
        padding-left: 20px;
        padding-right: 20px;
    }
    .top-home ul li:before {
        display: none;
    }
    .top-home ul li {
        padding-left: 0;
    }
    .products-div-title {
        height: auto;
    }
    .product-preview-single .details .single .icon img {
        max-width: 60%;
        max-height: 35px;
    }
    .firm-features {
        font-size: 0.7rem;
    }
    header .logo {
        left: 75px;
        margin-left: 0;
    }
    header .logo img {
        height: 38px;
    }
    header {
        height: 3rem;
    }
    header .single {
        padding: 0 1rem;
    }
    header .list-inline-item:not(:last-child) {
        margin-right: 1.0rem;
    }
    .product-filters .block label {
        font-size: 0.7rem;
        letter-spacing: 0.25rem;
    }
    .firm-features.bigger {
        text-align: center;
    }
    .firm-features.bigger .item {
        padding-left: 10px;
        padding-right: 10px;
    }
    footer {
        text-align: center;
    }
    footer .blogs-links a {
        text-align: left;
    }
    .btn {
        padding: 0.852rem 2.357rem;
        font-size: 0.662rem;
        line-height: 0.757rem;
    }
    .btn-sm {
        font-size: 0.376rem;
        line-height: 0.471rem;
        padding: 0.581rem 1.1rem;
    }
    footer .copy ul {
        margin-left: -8px;
        margin-right: -8px;
    }
    footer .copy .list-inline-item,
    footer .copy .list-inline-item:not(:last-child) {
        padding-left: 8px;
        padding-bottom: 8px;
        border: none;
        margin: 3px 0;
    }
    .menu-opened header .main-menu,
    header .main-menu {
        position: fixed;
        left: 0;
        bottom: 0;
        right: 0;
        top: 0;
        height: -webkit-calc(100vh - 3rem);
        height: -moz-calc(100vh - 3rem);
        height: calc(100vh - 3rem);
        top: 3rem;
        width: 100%;
    }
    .menu-opened {
        overflow: hidden;
    }

    header .main-menu .scroll-mobile {
        overflow-y: auto;
        height: 100%;
    }
    header .main-menu .close-menu {
        display: block;
    }
    header .main-menu .box,
    header .main-menu .box.middle {
        width: 100%;
        border: none;
    }
    header .main-menu .box.collections {
        border-right: none;
        width: 100%;
    }
    header .main-menu .box.middle p {
        display: none;
    }

    header .main-menu .box.middle ul {
        display: block;
        float: left;
        width: 50%;
    }
    .about-middle {
        margin-top: 1.5rem;
    }
    .product-preview-single.standard .text .title {
        height: auto;
    }
    .portfolio-featured {
        padding: 1.5rem;
        height: 15rem;
    }
    .top-home.internal {
        padding: 6rem 0;
    }    
}

@media (max-width: 575.98px) {
    .firm-features {
        display: none;
    }
    header .logo img {
        height: 30px;
    }
    header .list-inline-item:not(:last-child) {
        margin-right: 0.8rem;
    }
    .top-home {
        font-size: 1.1rem;
        padding: 3rem 0 6rem 0;
    }
    .product-filters .block {
        width: 80%;
    }
    .product-filters .block {
        margin-bottom: 0.5rem;
    }
    footer .collections-links li {
        width: 100%;
    }
    h1, .h1 {
        font-size: 1.8rem;
        line-height: 130%;
    }
    h3, .h3 {
        font-size: 1.076rem;
        line-height: 1.838rem;
    }
    
}

@media (max-width: 450px) {
    header .main-menu .box.collections .collections-links li {
        width: 100%;
    }
    header .main-menu .box.middle ul {
        width: 100%;
    }
    header .main-menu .box.middle ul:last-child {
        margin-top: 40px;
    }
}

@media (max-width: 450px) {
    .product-filters .block {
        width: 100%;
    }
.product-filters .block select {
        width: 100%;
    }    
}



/*!
 * Hamburgers
 * @description Tasty CSS-animated hamburgers
 * @author Jonathan Suh @jonsuh
 * @site https://jonsuh.com/hamburgers
 * @link https://github.com/jonsuh/hamburgers
 */

.hamburger {
    display: inline-block;
    cursor: pointer;
    -webkit-transition-property: opacity, -webkit-filter;
    transition-property: opacity, -webkit-filter;
    -o-transition-property: opacity, filter;
    -moz-transition-property: opacity, filter;
    transition-property: opacity, filter;
    transition-property: opacity, filter, -webkit-filter;
    -webkit-transition-duration: 0.15s;
    -o-transition-duration: 0.15s;
    -moz-transition-duration: 0.15s;
    transition-duration: 0.15s;
    -webkit-transition-timing-function: linear;
    -o-transition-timing-function: linear;
    -moz-transition-timing-function: linear;
    transition-timing-function: linear;
    font: inherit;
    color: inherit;
    text-transform: none;
    background-color: transparent;
    border: 0;
    margin: 0;
    overflow: visible;
    font-size: 0.810rem;
    font-weight: 500;
    font-family: 'Poppins', sans-serif;
    color: #000000!important;
}

.hamburger:hover {
    opacity: 1;
}

.hamburger.is-active:hover {
    opacity: 1;
}

.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
    background-color: #000;
}

.hamburger-box {
    width: 26px;
    height: 18px;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    margin-left: 10px;
    margin-top: -6px;
}

.hamburger-inner {
    display: block;
    top: 50%;
    margin-top: 0px;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
    width: 26px;
    height: 2px;
    background-color: #000;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    position: absolute;
    -webkit-transition-property: -webkit-transform;
    transition-property: -webkit-transform;
    -o-transition-property: -o-transform;
    -o-transition-property: transform;
    -moz-transition-property: transform, -moz-transform;
    transition-property: transform;
    transition-property: transform, -webkit-transform, -moz-transform, -o-transform;
    transition-property: transform, -webkit-transform;
    -webkit-transition-duration: 0.15s;
    -o-transition-duration: 0.15s;
    -moz-transition-duration: 0.15s;
    transition-duration: 0.15s;
    -webkit-transition-timing-function: ease;
    -o-transition-timing-function: ease;
    -moz-transition-timing-function: ease;
    transition-timing-function: ease;
}

.hamburger-inner::before,
.hamburger-inner::after {
    content: "";
    display: block;
}

.hamburger-inner::before {
    top: -6px;
}

.hamburger-inner::after {
    bottom: -6px;
}


/*
   * 3DX
   */

.hamburger--3dx .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dx .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dx .hamburger-inner::before,
.hamburger--3dx .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dx.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    transform: rotateY(180deg);
}

.hamburger--3dx.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dx.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * 3DX Reverse
   */

.hamburger--3dx-r .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dx-r .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dx-r .hamburger-inner::before,
.hamburger--3dx-r .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dx-r.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateY(-180deg);
    -moz-transform: rotateY(-180deg);
    transform: rotateY(-180deg);
}

.hamburger--3dx-r.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dx-r.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * 3DY
   */

.hamburger--3dy .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dy .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dy .hamburger-inner::before,
.hamburger--3dy .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dy.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateX(-180deg);
    -moz-transform: rotateX(-180deg);
    transform: rotateX(-180deg);
}

.hamburger--3dy.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dy.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * 3DY Reverse
   */

.hamburger--3dy-r .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dy-r .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dy-r .hamburger-inner::before,
.hamburger--3dy-r .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dy-r.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateX(180deg);
    -moz-transform: rotateX(180deg);
    transform: rotateX(180deg);
}

.hamburger--3dy-r.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dy-r.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * 3DXY
   */

.hamburger--3dxy .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dxy .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dxy .hamburger-inner::before,
.hamburger--3dxy .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dxy.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateX(180deg) rotateY(180deg);
    -moz-transform: rotateX(180deg) rotateY(180deg);
    transform: rotateX(180deg) rotateY(180deg);
}

.hamburger--3dxy.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dxy.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * 3DXY Reverse
   */

.hamburger--3dxy-r .hamburger-box {
    -webkit-perspective: 80px;
    -moz-perspective: 80px;
    perspective: 80px;
}

.hamburger--3dxy-r .hamburger-inner {
    -webkit-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1), background-color 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0.15s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dxy-r .hamburger-inner::before,
.hamburger--3dxy-r .hamburger-inner::after {
    -webkit-transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -o-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    -moz-transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -moz-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -o-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
    transition: transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1), -webkit-transform 0s 0.1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.hamburger--3dxy-r.is-active .hamburger-inner {
    background-color: transparent !important;
    -webkit-transform: rotateX(180deg) rotateY(180deg) rotateZ(-180deg);
    -moz-transform: rotateX(180deg) rotateY(180deg) rotateZ(-180deg);
    transform: rotateX(180deg) rotateY(180deg) rotateZ(-180deg);
}

.hamburger--3dxy-r.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(0, 10px, 0) rotate(45deg);
    -moz-transform: translate3d(0, 10px, 0) rotate(45deg);
    transform: translate3d(0, 10px, 0) rotate(45deg);
}

.hamburger--3dxy-r.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(0, -10px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -10px, 0) rotate(-45deg);
    transform: translate3d(0, -10px, 0) rotate(-45deg);
}


/*
   * Arrow
   */

.hamburger--arrow.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
}

.hamburger--arrow.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
}


/*
   * Arrow Right
   */

.hamburger--arrow-r.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
}

.hamburger--arrow-r.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
}


/*
   * Arrow Alt
   */

.hamburger--arrowalt .hamburger-inner::before {
    -webkit-transition: top 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: top 0.1s 0.1s ease, -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -moz-transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.hamburger--arrowalt .hamburger-inner::after {
    -webkit-transition: bottom 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: bottom 0.1s 0.1s ease, -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -moz-transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.hamburger--arrowalt.is-active .hamburger-inner::before {
    top: 0;
    -webkit-transform: translate3d(-8px, -10px, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, -10px, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(-8px, -10px, 0) rotate(-45deg) scale(0.7, 1);
    -webkit-transition: top 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: top 0.1s ease, -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -moz-transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
}

.hamburger--arrowalt.is-active .hamburger-inner::after {
    bottom: 0;
    -webkit-transform: translate3d(-8px, 10px, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, 10px, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(-8px, 10px, 0) rotate(45deg) scale(0.7, 1);
    -webkit-transition: bottom 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: bottom 0.1s ease, -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -moz-transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
}


/*
   * Arrow Alt Right
   */

.hamburger--arrowalt-r .hamburger-inner::before {
    -webkit-transition: top 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: top 0.1s 0.1s ease, -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -moz-transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: top 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.hamburger--arrowalt-r .hamburger-inner::after {
    -webkit-transition: bottom 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: bottom 0.1s 0.1s ease, -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -o-transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    -moz-transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -moz-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -o-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: bottom 0.1s 0.1s ease, transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1), -webkit-transform 0.1s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.hamburger--arrowalt-r.is-active .hamburger-inner::before {
    top: 0;
    -webkit-transform: translate3d(8px, -10px, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, -10px, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(8px, -10px, 0) rotate(45deg) scale(0.7, 1);
    -webkit-transition: top 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: top 0.1s ease, -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -moz-transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: top 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
}

.hamburger--arrowalt-r.is-active .hamburger-inner::after {
    bottom: 0;
    -webkit-transform: translate3d(8px, 10px, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, 10px, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(8px, 10px, 0) rotate(-45deg) scale(0.7, 1);
    -webkit-transition: bottom 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: bottom 0.1s ease, -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -o-transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    -moz-transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -moz-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -o-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
    transition: bottom 0.1s ease, transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22), -webkit-transform 0.1s 0.1s cubic-bezier(0.895, 0.03, 0.685, 0.22);
}


/*
   * Arrow Turn
   */

.hamburger--arrowturn.is-active .hamburger-inner {
    -webkit-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -moz-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
}

.hamburger--arrowturn.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(8px, 0, 0) rotate(45deg) scale(0.7, 1);
}

.hamburger--arrowturn.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(8px, 0, 0) rotate(-45deg) scale(0.7, 1);
}


/*
   * Arrow Turn Right
   */

.hamburger--arrowturn-r.is-active .hamburger-inner {
    -webkit-transform: rotate(-180deg);
    -ms-transform: rotate(-180deg);
    -moz-transform: rotate(-180deg);
    -o-transform: rotate(-180deg);
    transform: rotate(-180deg);
}

.hamburger--arrowturn-r.is-active .hamburger-inner::before {
    -webkit-transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
    transform: translate3d(-8px, 0, 0) rotate(-45deg) scale(0.7, 1);
}

.hamburger--arrowturn-r.is-active .hamburger-inner::after {
    -webkit-transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
    -moz-transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
    transform: translate3d(-8px, 0, 0) rotate(45deg) scale(0.7, 1);
}


/*
   * Boring
   */

.hamburger--boring .hamburger-inner,
.hamburger--boring .hamburger-inner::before,
.hamburger--boring .hamburger-inner::after {
    -webkit-transition-property: none;
    -o-transition-property: none;
    -moz-transition-property: none;
    transition-property: none;
}

.hamburger--boring.is-active .hamburger-inner {
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

.hamburger--boring.is-active .hamburger-inner::before {
    top: 0;
    opacity: 0;
}

.hamburger--boring.is-active .hamburger-inner::after {
    bottom: 0;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
}


/*
   * Collapse
   */

.hamburger--collapse .hamburger-inner {
    top: auto;
    bottom: 0;
    -webkit-transition-duration: 0.13s;
    -o-transition-duration: 0.13s;
    -moz-transition-duration: 0.13s;
    transition-duration: 0.13s;
    -webkit-transition-delay: 0.13s;
    -o-transition-delay: 0.13s;
    -moz-transition-delay: 0.13s;
    transition-delay: 0.13s;
    -webkit-transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    -o-transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    -moz-transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.hamburger--collapse .hamburger-inner::after {
    top: -12px;
    -webkit-transition: top 0.2s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
    -o-transition: top 0.2s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
    -moz-transition: top 0.2s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
    transition: top 0.2s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
}

.hamburger--collapse .hamburger-inner::before {
    -webkit-transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    -o-transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -o-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    -o-transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    -moz-transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19), -moz-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19), -moz-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19), -o-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
    transition: top 0.12s 0.2s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.13s cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.hamburger--collapse.is-active .hamburger-inner {
    -webkit-transform: translate3d(0, -5px, 0) rotate(-45deg);
    -moz-transform: translate3d(0, -5px, 0) rotate(-45deg);
    transform: translate3d(0, -5px, 0) rotate(-45deg);
    -webkit-transition-delay: 0.22s;
    -o-transition-delay: 0.22s;
    -moz-transition-delay: 0.22s;
    transition-delay: 0.22s;
    -webkit-transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    -moz-transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.hamburger--collapse.is-active .hamburger-inner::after {
    top: 0;
    opacity: 0;
    -webkit-transition: top 0.2s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.22s linear;
    -o-transition: top 0.2s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.22s linear;
    -moz-transition: top 0.2s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.22s linear;
    transition: top 0.2s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.22s linear;
}

.hamburger--collapse.is-active .hamburger-inner::before {
    top: 0;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -o-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    -moz-transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1), -moz-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1), -moz-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1), -o-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: top 0.1s 0.16s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.13s 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
}